#!/bin/sh 

# THIS SCRIPT RESTARTS THE FOG MONITOR IN OB6.  JJG 6/23/2006 (CIMSS/SSEC)

echo "Running $0 - `date`"

## Good to go?
if [ "`whoami`" != "fxa" ]
then
  echo "ERROR : $0 must be run as fxa!"
  exit 3
fi

umask 000 # for logging purposes

cd ${FXA_HOME:=/homea/fxa}/bin # set FXA_HOME to /homea/fxa if it isn't already

loc_host=`hostname` # get hostname to compare with float_host

#set for decoder by jjg 4/22/2006
SITE_TYPE=wfo

## START
# --------------------------------------------------------------------------
# Set up log variables
# --------------------------------------------------------------------------
LOG_DIR=/data/logs/fxa; export LOG_DIR
LOG_PREF=${FXA_HOME}/data/ingestLogPref; export LOG_PREF
TZ=GMT

${FXA_HOME}/bin/killProc 'DataController COMMS_ROUTER FMcontroller'
${FXA_HOME}/bin/killProc FMprocessor

${FXA_HOME}/bin/killProc 'DataController COMMS_ROUTER FMcontroller'
${FXA_HOME}/bin/killProc FMprocessor
${FXA_HOME}/bin/DataController COMMS_ROUTER FMcontroller.config &
## END
